/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mailclient.ui.controller;

import com.funambol.mail.Message;
import com.funambol.mailclient.ui.view.FunCanvasContactList;

/**
 * helper class that load the contactlist
 */
public class ContactListLoader implements Runnable {
    private boolean isLoading;
    private Message contactListMessage;
    
    public ContactListLoader(Message message) {
        setMessage(message);
    }
    
    /**
     * set the message. Does not call run method
     */
    public void setMessage(Message message) {
        contactListMessage = message;
    }
    
    /**
     * load the contact list using the given message.
     * if the loader is running, it exit immediatly.
     */
    //TODO: should we behave differently here?
    public void load() {
        if (!isLoading()) {
            isLoading=true;
            if (UIController.contactList != null) {
                UIController.contactList.resetContactList(contactListMessage);
            } else {
                UIController.contactList =
                        new FunCanvasContactList(contactListMessage);
            }
            isLoading=false;
        }
    }
    
    public boolean isLoading() {
        return isLoading;
    }
    
    public void run() {
        load();
    }
    
    private void stop() {
        isLoading = false;
    }
    
}