/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mailclient.ui.controller;


import com.funambol.mailclient.sm.SyncClient;
import com.funambol.util.Log;
import java.util.TimerTask;


/**
 * TimerTask to be run for scheduling check of emails
 * When running it asks the permission to check email account
 */
public class SyncTimerTask extends TimerTask {
    
    /**
     * Creates a new instance of SyncTimerTask
     */
    public SyncTimerTask() {
    }
    
    public void run() {
        Log.info("SyncTimerTask started!");
        AlarmManager.getInstance().setTimeOfAlarmSetting();
            // check if a sync is already in progress
            if (!SyncClient.isBusy()) {
                UIController.sync(false);
            } else {
                Log.info("Sync already in progress. SyncTimerTask skipped.");
            }
    }
    
}
