/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mailclient.ui.controller;

import com.funambol.mail.MessageFlags;
import com.funambol.util.Log;
import java.io.IOException;
import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;


/**
 * Class for UI graphics customization. Use it to load the
 * images for Lists elements and colors of the screens.
 */
public class Theme {
    
    public static int COLOR_FONT;
    public static int COLOR_BACKGROUND;
    public static int COLOR_ARROW;
    public static int COLOR_HBACK;
    public static int COLOR_HBORDER;
    
    public static int SIZE_FONT;
    
    public static final String IMAGES_PATH = "/res/";
    
    /*private static Image COMPOSE_IMG;
    public static final String COMPOSE_IMAGE_PATH = IMAGES_PATH + "compose.png";
    */
    /*private static Image OPEN_IMG;
    public static final String OPEN_IMAGE_PATH = IMAGES_PATH + "open.png";
    */
   
    /*private static Image EXIT_IMG;
    public static final String EXIT_IMAGE_PATH = IMAGES_PATH + "exit.png";
    */
    private static Image EMAIL_IMG;
    public static final String EMAIL_IMAGE_PATH = IMAGES_PATH + "email.png";
    
    /*private static Image TO_IMG;
    public static final String TO_IMAGE_PATH = IMAGES_PATH + "to.png";*/
    
    /*private static Image CC_IMG;
    public static final String CC_IMAGE_PATH = IMAGES_PATH + "cc.png";
    
    private static Image BCC_IMG;
    public static final String BCC_IMAGE_PATH = IMAGES_PATH + "bcc.png";
    
    private static Image EMPTY_IMG;
    public static final String EMPTY_IMAGE_PATH = IMAGES_PATH + "empty.png";
    */
    
    /*private static Image SETTINGS_IMG;
    public static final String SETTINGS_IMAGE_PATH = IMAGES_PATH + "settings.png";
    */
    private static Image CONNECTION_IMG;
    public static final String CONNECTION_IMAGE_PATH = IMAGES_PATH + "connection.png";
    
    private static Image SYNC_IMG;
    public static final String SYNC_IMAGE_PATH = IMAGES_PATH + "getmail.png";
    
    private static Image MESSAGE_IMG;
    public static final String MESSAGE_IMAGE_PATH = IMAGES_PATH + "closed.png";
    
    private static Image CONTACT_IMG;
    public static final String CONTACT_IMAGE_PATH = IMAGES_PATH + "contact.png";
    
    private static Image LOG_IMG;
    public static final String LOG_IMAGE_PATH = IMAGES_PATH + "log.png";
    
    private static Image FOLDER_IMG;
    public static final String FOLDER_IMAGE_PATH = IMAGES_PATH + "folder.png";
    
    //private static Image LINK_IMG;
    //public static final String LINK_IMAGE_PATH = IMAGES_PATH + "link.png";
    
    /**
     * partial images that can be overlapped to compose the state image
     */
    private static Image FW_PART_IMG;
    public static final String FW_PART_IMAGE_PATH = IMAGES_PATH + "fw.png"; //a forward arrow
    
    private static Image RE_PART_IMG;
    public static final String RE_PART_IMAGE_PATH = IMAGES_PATH + "re.png"; //a reply arrow
    
    private static Image OPEN_PART_IMG;
    public static final String OPEN_PART_IMAGE_PATH = IMAGES_PATH + "open.png"; //opened envelope
    
    private static Image CLOSED_PART_IMG;
    public static final String CLOSED_PART_IMAGE_PATH = IMAGES_PATH + "closed.png"; //closed envelope
    
    private static Image DRAFT_PART_IMG;
    public static final String DRAFT_PART_IMAGE_PATH = IMAGES_PATH + "draft.png"; //a pencil
    
    private static Image FLAGGED_CLOSED_PART_IMG;
    public static final String FLAGGED_CLOSED_PART_IMAGE_PATH = IMAGES_PATH + "flaggedclosed.png"; //a red closed envelope
    
    private static Image FLAGGED_OPENED_PART_IMG;
    public static final String FLAGGED_OPENED_PART_IMAGE_PATH = IMAGES_PATH + "flaggedopen.png"; //a red opened envelope
    
    
    /**
     * vector of images used by MessageList to display different states
     */
    public static Image[] STATE_IMAGES_VECTOR;
    
    /**
     * Logo image, used in progress form
     */
    public static Image LOGO_IMG;
    public static final String LOGO_IMAGE_PATH=IMAGES_PATH + "logo.png";
    
   /*private static Image ABOUT_IMG;
    public static final String ABOUT_IMAGE_PATH=IMAGES_PATH + "about.png";
    */
    private static Image ALERT_IMG;
    public static final String ALERT_IMAGE_PATH=IMAGES_PATH + "alert.png";

   // public static int IMAGE_PART_WIDTH=16;
   // public static int IMAGE_PART_HEIGHT=14;
    
    private static int IMAGE_PART_WIDTH=-1;
    private static int IMAGE_PART_HEIGHT=-1;
    
    /**
     * Methos to load the Image objects starting from images files
     * in the resources path of the MIDlet Suite (IMAGES_PATH)
     */
    public static void initImages() {
        try {
            Theme.FOLDER_IMG = Image.createImage(Theme.FOLDER_IMAGE_PATH);
            //Theme.LINK_IMG = Image.createImage(Theme.LINK_IMAGE_PATH);
            Theme.CONNECTION_IMG = Image.createImage(Theme.CONNECTION_IMAGE_PATH);
            Theme.SYNC_IMG = Image.createImage(Theme.SYNC_IMAGE_PATH);
            Theme.MESSAGE_IMG = Image.createImage(Theme.MESSAGE_IMAGE_PATH);
            Theme.CONTACT_IMG = Image.createImage(Theme.CONTACT_IMAGE_PATH);
            Theme.LOG_IMG = Image.createImage(Theme.LOG_IMAGE_PATH);
            Theme.EMAIL_IMG = Image.createImage(Theme.EMAIL_IMAGE_PATH);
//            Theme.TO_IMG = Image.createImage(Theme.TO_IMAGE_PATH);
//            Theme.CC_IMG = Image.createImage(Theme.CC_IMAGE_PATH);
//            Theme.BCC_IMG = Image.createImage(Theme.BCC_IMAGE_PATH);
//            Theme.EMPTY_IMG = Image.createImage(Theme.EMPTY_IMAGE_PATH);
//            Theme.EXIT_IMG = Image.createImage(Theme.EXIT_IMAGE_PATH);
//            Theme.COMPOSE_IMG = Image.createImage(Theme.COMPOSE_IMAGE_PATH);
//            Theme.SETTINGS_IMG = Image.createImage(Theme.SETTINGS_IMAGE_PATH);
//            Theme.OPEN_IMG = Image.createImage(Theme.OPEN_IMAGE_PATH);
            Theme.FW_PART_IMG=Image.createImage(Theme.FW_PART_IMAGE_PATH);
            Theme.RE_PART_IMG=Image.createImage(Theme.RE_PART_IMAGE_PATH);
            Theme.OPEN_PART_IMG=Image.createImage(Theme.OPEN_PART_IMAGE_PATH);
            Theme.CLOSED_PART_IMG=Image.createImage(Theme.CLOSED_PART_IMAGE_PATH);
            Theme.DRAFT_PART_IMG=Image.createImage(Theme.DRAFT_PART_IMAGE_PATH);
            Theme.FLAGGED_CLOSED_PART_IMG=Image.createImage(Theme.FLAGGED_CLOSED_PART_IMAGE_PATH);
            Theme.FLAGGED_OPENED_PART_IMG=Image.createImage(Theme.FLAGGED_OPENED_PART_IMAGE_PATH);
//            Theme.ABOUT_IMG=Image.createImage(Theme.ABOUT_IMAGE_PATH);
            getLogoImage();
            
        } catch (IOException ex) {
            Log.error("ioexception in initimages");
            ex.printStackTrace();
        }
    }
    
    
    public static Image getLogoImage() {
        if (LOGO_IMG==null) {
            try {
                LOGO_IMG=Image.createImage(LOGO_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting logo image");
        
                ex.printStackTrace();
            }
        }
        return LOGO_IMG;
    }
    
 /*   public static Image getCOMPOSE_IMG() {
        if (COMPOSE_IMG==null) {
            try {
                COMPOSE_IMG=Image.createImage(COMPOSE_IMAGE_PATH);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return COMPOSE_IMG;
    }*/
    
  /*  public static Image getOPEN_IMG() {
        if (OPEN_IMG==null) {
            try {
                OPEN_IMG=Image.createImage(OPEN_IMAGE_PATH);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return OPEN_IMG;
    }*/ 
    
    /*
     public static Image getEXIT_IMG() {
        if (EXIT_IMG==null) {
            try {
                EXIT_IMG=Image.createImage(EXIT_IMAGE_PATH);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return EXIT_IMG;
    }
     */
    
    public static Image getEMAIL_IMG() {
        if (EMAIL_IMG==null) {
            try {
                EMAIL_IMG=Image.createImage(EMAIL_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting email image");
                ex.printStackTrace();
            }
        }
        return EMAIL_IMG;
    }
    
   /* public static Image getTO_IMG() {
        if (TO_IMG==null) {
            try {
                TO_IMG=Image.createImage(TO_IMAGE_PATH);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return TO_IMG;
    }
    */
  /*  public static Image getCC_IMG() {
        if (CC_IMG==null) {
            try {
                CC_IMG=Image.createImage(CC_IMAGE_PATH);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return CC_IMG;
    }*/
    
   /* public static Image getBCC_IMG() {
        if (BCC_IMG==null) {
            try {
                BCC_IMG=Image.createImage(BCC_IMAGE_PATH);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return BCC_IMG;
    }*/
    
   /* public static Image getEMPTY_IMG() {
        if (EMPTY_IMG==null) {
            try {
                EMPTY_IMG=Image.createImage(EMPTY_IMAGE_PATH);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return EMPTY_IMG;
    }
    */
    /*
     public static Image getSETTINGS_IMG() {
        if (SETTINGS_IMG==null) {
            try {
                SETTINGS_IMG=Image.createImage(SETTINGS_IMAGE_PATH);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return SETTINGS_IMG;
    }
    */
    
    public static Image getCONNECTION_IMG() {
        if (CONNECTION_IMG==null) {
            try {
                CONNECTION_IMG=Image.createImage(CONNECTION_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting connection image");
                ex.printStackTrace();
            }
        }
        return CONNECTION_IMG;
    }
    
    public static Image getSYNC_IMG() {
        if (SYNC_IMG==null) {
            try {
                SYNC_IMG=Image.createImage(SYNC_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting sync image");
                ex.printStackTrace();
            }
        }
        return SYNC_IMG;
    }
    
    public static Image getMESSAGE_IMG() {
        if (MESSAGE_IMG==null) {
            try {
                MESSAGE_IMG=Image.createImage(MESSAGE_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting message image");
                ex.printStackTrace();
            }
        }
        return MESSAGE_IMG;
    }
    
    public static Image getCONTACT_IMG() {
        if (CONTACT_IMG==null) {
            try {
                CONTACT_IMG=Image.createImage(CONTACT_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting contact image");
                ex.printStackTrace();
            }
        }
        return CONTACT_IMG;
    }
    
    public static Image getFOLDER_IMG() {
        if (FOLDER_IMG==null) {
            try {
                FOLDER_IMG=Image.createImage(FOLDER_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting folder image");
                ex.printStackTrace();
            }
        }
        return FOLDER_IMG;
    }
    /*
    public static Image getLINK_IMG() {
        if (LINK_IMG==null) {
            try {
                LINK_IMG=Image.createImage(LINK_IMAGE_PATH);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return LINK_IMG;
    }*/
    
    public static Image getFW_PART_IMG() {
        if (FW_PART_IMG==null) {
            try {
                FW_PART_IMG=Image.createImage(FW_PART_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting logo image");
                ex.printStackTrace();
            }
        }
        return FW_PART_IMG;
    }
    
    public static Image getRE_PART_IMG() {
        if (RE_PART_IMG==null) {
            try {
                RE_PART_IMG=Image.createImage(RE_PART_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting re image");
                ex.printStackTrace();
            }
        }
        return RE_PART_IMG;
    }
    
    public static Image getOPEN_PART_IMG() {
        if (OPEN_PART_IMG==null) {
            try {
                OPEN_PART_IMG=Image.createImage(OPEN_PART_IMAGE_PATH);
              
            } catch (IOException ex) {
                ex.printStackTrace();
                  Log.error("ioexception getting open image");
            }
        }
        return OPEN_PART_IMG;
    }
    
    public static Image getCLOSED_PART_IMG() {
        if (CLOSED_PART_IMG==null) {
            try {
                CLOSED_PART_IMG=Image.createImage(CLOSED_PART_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting closed image");
                ex.printStackTrace();
            }
        }
        return CLOSED_PART_IMG;
    }
    
    public static Image getDRAFT_PART_IMG() {
        if (DRAFT_PART_IMG==null) {
            try {
                DRAFT_PART_IMG=Image.createImage(DRAFT_PART_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting draft image");
                ex.printStackTrace();
            }
        }
        return DRAFT_PART_IMG;
    }
    
    public static Image getFLAGGED_CLOSED_PART_IMG() {
        if (FLAGGED_CLOSED_PART_IMG==null) {
            try {
                FLAGGED_CLOSED_PART_IMG=Image.createImage(FLAGGED_CLOSED_PART_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting flagged image");
                ex.printStackTrace();
            }
        }
        return FLAGGED_CLOSED_PART_IMG;
    }
    
    public static Image getFLAGGED_OPENED_PART_IMG() {
        if (FLAGGED_OPENED_PART_IMG==null) {
            try {
                FLAGGED_OPENED_PART_IMG=Image.createImage(FLAGGED_OPENED_PART_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting opened image");
                ex.printStackTrace();
            }
        }
        return FLAGGED_OPENED_PART_IMG;
    }
    
    /*
     public static Image getABOUT_IMG() {
        if (ABOUT_IMG==null) {
            try {
                ABOUT_IMG=Image.createImage(ABOUT_IMAGE_PATH);
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return ABOUT_IMG;
    }
     */
    
    public static Image getLOG_IMG() {
        if (LOG_IMG==null) {
            try {
                LOG_IMG=Image.createImage(LOG_IMAGE_PATH);
            } catch (IOException ex) {
                Log.error("ioexception getting log image");
        
                ex.printStackTrace();
            }
        }
        return LOG_IMG;
    }

    public static Image getALERT_IMG() {
        //#ifndef Nokia6630
        //#ifndef Nokia6630_T
        //nokia 6630 adds alert without icon for unsupported trasparency
        if (ALERT_IMG==null) {
            try {
                ALERT_IMG=Image.createImage(ALERT_IMAGE_PATH);
            } catch (IOException ex) {
               Log.error("ioexception getting alert image");
               ex.printStackTrace();
            }
        }
        //#endif
        //#endif
        return ALERT_IMG;
    }
 
    public static Image[] getSTATE_IMAGES_VECTOR () {
        
        if (STATE_IMAGES_VECTOR==null) {
            
            Theme.STATE_IMAGES_VECTOR=new Image[32];
            for (int i=0; i<32; i++) {
                STATE_IMAGES_VECTOR[i]=getImage(i);
            }
            
        }
        
        return STATE_IMAGES_VECTOR;
    }
    
     private static Image getImage(int state) {
        
        
        
        Image im=Image.createImage(getIMAGE_PART_WIDTH(), getIMAGE_PART_HEIGHT());
        Graphics g=im.getGraphics();
        //Image im=Image.createImage(Theme.EMPTY_IMG);
        //g.drawImage(Theme.OPEN_PART_IMG,0,0,Graphics.TOP|Graphics.LEFT)
        //for each flag we choose what to do, ie set the bg color, overlay
        //an image....
        
        
        //--------FLAGGED----------//
      /*  if (check(state, MessageFlags.FLAGGED)){
            g.setColor(BG_FLAGGED);
            g.fillRect(0,0,IMAGE_PART_WIDTH,IMAGE_PART_HEIGHT);
        }
        else {
            //g.setColor(BG_UNFLAGGED);
            }
        */
        //------------OPENED----------//
        if (check(state,MessageFlags.OPENED)) {
            if (check(state, MessageFlags.FLAGGED))
                g.drawImage(Theme.getFLAGGED_OPENED_PART_IMG(), 0,0,Graphics.TOP|Graphics.LEFT);
            else
            g.drawImage(Theme.getOPEN_PART_IMG(), 0,0,Graphics.TOP|Graphics.LEFT);
        }
        else {
            if (check(state, MessageFlags.FLAGGED))
                g.drawImage(Theme.getFLAGGED_CLOSED_PART_IMG(), 0,0,Graphics.TOP|Graphics.LEFT);
            else
              
            g.drawImage(Theme.getCLOSED_PART_IMG(), 0,0,Graphics.TOP|Graphics.LEFT);
        }
        
        //------------ANSWERED--------------//
        if (check(state, MessageFlags.ANSWERED)) {
            g.drawImage(Theme.getRE_PART_IMG(), 0,0,Graphics.TOP|Graphics.LEFT);
        }
        
        //-----------FORWARDED-------------//
        if (check(state, MessageFlags.FORWARDED)) {
            g.drawImage(Theme.getFW_PART_IMG(), 0,0,Graphics.TOP|Graphics.LEFT); 
        }
        
        //---------------DRAFT_PART_IMG_PATH-------------//
        if (check(state, MessageFlags.DRAFT)) {
            g.drawImage(Theme.getDRAFT_PART_IMG(), 0,0,Graphics.TOP|Graphics.LEFT);
        }
            
         //we return a immutable image 
         return im.createImage(im);
 }
        private static boolean check(int state, int flag){
         if ((state & flag)==0) {
            return false;
         }
         return true;
    }

    public static int getIMAGE_PART_WIDTH() {
        if(IMAGE_PART_WIDTH == -1){
            IMAGE_PART_WIDTH = getMESSAGE_IMG().getWidth();
        }
        return IMAGE_PART_WIDTH;
    }

    public static int getIMAGE_PART_HEIGHT() {
        if(IMAGE_PART_HEIGHT == -1){
            IMAGE_PART_HEIGHT = getMESSAGE_IMG().getHeight();
        }
        return IMAGE_PART_HEIGHT;
    }
    
}
