

/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mailclient.loc.Localization;
import com.funambol.mailclient.ui.controller.Theme;
import com.funambol.mailclient.ui.controller.UIController;
import com.funambol.util.Log;
import java.util.Timer;
import java.util.TimerTask;
import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;

public class AboutScreen extends Canvas implements CommandListener {
    
    
    private int BACKGROUND_COLOR = 0xffffff; //white!
    private String [] message = { Localization.getMessages().ABOUT_MESSAGE_1,
    Localization.getMessages().getVERSION(UIController.getVersion()),
    Localization.getMessages().ABOUT_MESSAGE_3,
    Localization.getMessages().ABOUT_MESSAGE_4,
    Localization.getMessages().ABOUT_MESSAGE_5,
    Localization.getMessages().ABOUT_MESSAGE_6
    };
    private Font font = Font.getDefaultFont();
    private int fireCount=0;
    private int FOREGROUND_COLOR = 0x000000;
    private int iconNumber;

    private int offset;
    
    /** Creates a new instance of FunSplashScreen */
    public AboutScreen() {
      //  this.setFullScreenMode(true);
        
        // starting from the center of the screen
        offset = (getHeight() +  Theme.getLogoImage().getHeight()+ 
                message.length * font.getHeight())/2;
        
        
        
        this.addCommand(UIController.backCommand);
        setCommandListener(this);
        Timer t = new Timer();
        t.schedule(new Tic(),100,100);
        
    }
    
    
    protected void paint(Graphics graphics) {
        graphics.setColor(BACKGROUND_COLOR);
        graphics.fillRect(0, 0, getWidth(), getHeight());
        
        graphics.drawImage(Theme.getLogoImage(),
                getWidth()/2,
                ( getOffset() ),
                Graphics.HCENTER | Graphics.TOP );
        graphics.setColor(FOREGROUND_COLOR);
        
       // Log.debug("Offset = " + getOffset());
        
        for (int i=0; i< message.length; i++) {
            graphics.drawString(
                    message[i],
                    getWidth()/2 ,
                    ( getOffset() + Theme.getLogoImage().getHeight()  + i*font.getHeight()),
                    Graphics.HCENTER | Graphics.TOP
                    );
        }
        
    }
    
    protected void keyPressed(int keyCode) {
        if (getGameAction(keyCode) == Canvas.FIRE ) {
            fireCount++;
        }
        if (fireCount == 10) {
            
            String [] newmessage = { "JME Team:",
            "Edo",
            "Gazza",
            "Alessio",
            "Beppe",
            "Fra",
            "Ivo"
            };
            
            message = newmessage;
            repaint();
        }
    }
    
    
    
    public void commandAction(Command command, Displayable displayable) {
        if (command==UIController.backCommand) {
            UIController.showBackScreen();
        }
    }

    private int getOffset() {
        
        int pos= offset % ( getHeight() + message.length * font.getHeight() + 
                Theme.getLogoImage().getHeight() );
        
        return (getHeight() - pos);
        
        }
    
    private class Tic extends TimerTask {
        public void run() {
            offset ++;
            repaint();
        }
        
    }
    
}
