/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mailclient.mm.FolderInfo;
import com.funambol.mailclient.mm.MessageManager;
import com.funambol.mailclient.ui.controller.Theme;
import com.funambol.mailclient.ui.controller.UIController;
import com.funambol.mailclient.loc.Localization;
import com.funambol.util.Log;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.List;


/**
 * a class that display the folders
 */
public class FolderList extends List implements CommandListener{
    
    
    
    private Command selectCommand;
    
    /** Creates a new instance of FolderList 
     * @param folders the array of folderinfo
     */
    public FolderList(FolderInfo[] folders) {
        super(Localization.getMessages().FOLDER_LIST_TITLE, List.IMPLICIT);
        for (int i=0; i<folders.length;i++){
            append(folders[i].getName(), Theme.getFOLDER_IMG());
        }
        selectCommand=new Command(Localization.getMessages().OPEN_COMMAND, UIController.COMMAND_TYPE, 0);
        addCommand(selectCommand);
        addCommand(UIController.backCommand);
        setSelectCommand(selectCommand);
        setCommandListener(this);
    }
    
    /**
     * commandlistener
     */
    
    //TODO: should we use a UIController method (to decouple this from the 
    //MessageManager ? )
    public void commandAction(Command command, Displayable displayable) {
        if (command==selectCommand){
            switch (getSelectedIndex()) {
                case MessageManager.INBOX:
                    UIController.showInboxScreen();
                    break;
                case MessageManager.OUTBOX:
                    UIController.showOutboxScreen(this);
                    break;
                case MessageManager.DRAFTS:
                    UIController.showDraftScreen(this);
                    break;
                case MessageManager.SENT:
                    UIController.showSentScreen(this);
            }
        } else if (command == UIController.backCommand) {
            UIController.showBackScreen();
        }
    }
    
    
}
