/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mailclient.mm.MessageInfo;
import com.funambol.mailclient.mm.MessageManager;
import com.funambol.mailclient.ui.controller.UIController;
import com.funambol.mailclient.loc.Localization;
import com.funambol.util.Log;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Item;
import javax.microedition.lcdui.TextField;


public class FunCanvasOutboxMessageList extends FunCanvasMessageList{
    
    private Command editCommand;
    private Command deleteCommand;
    private Command sendAllCommand;
    
   
    /** Creates a new instance of FunInboxMessageList */
    
    
    public FunCanvasOutboxMessageList(MessageInfo[] msgInfo) {
        
        super(msgInfo);
        
    }
    
    
    public String getDefaultTitle() {
          return Localization.getMessages().OUTBOX_MESSAGE_LIST_TITLE;
     }
    
    protected void addCommands() {
        addCommand(UIController.backCommand);
        addCommand(UIController.inboxCommand);
    }
    
    /**
     * called by implementation when a list of elements with lenght >0 is set
     */
    protected void addItemCommands() {
        addCommand(editCommand);
        addCommand(deleteCommand);
        addCommand(sendAllCommand);
        
        setFireCommand(editCommand);
    }
    
    /**
     * called by implementation when a list of elements with lenght = 0 is set
     */
    protected void removeItemCommands() {
        removeCommand(editCommand);
        removeCommand(deleteCommand);
        removeCommand(sendAllCommand);
        
        setFireCommand(null);
    }
    
    
    
    public void commandAction(Command command, Displayable displayable) {
        if (command == UIController.inboxCommand) {
            UIController.showInboxScreen();
        } else if (command==UIController.backCommand) {
            //UIController.showBackScreen();
            UIController.showFolderList(UIController.getInboxMessageList());
        }
        
        // ---- item commands --- //
        else if (command==editCommand) {
            this.setTitle("Opening Message...");
            this.repaint();
            this.serviceRepaints();
            UIController.updateComposeMessageScreen(getSelectedMessageInfo(), "");
            UIController.showComposeMessageScreen(this, UIController.getComposeMessageScreen().body);
        } else if (command == deleteCommand) {
            FunModalPopup popup =
                    new FunModalPopup(Localization.getMessages().POPUP_DELETE_MESSAGE_TITLE,
                    Localization.getMessages().POPUP_DELETE_MESSAGE_TEXT,
                    new DeletePopupAction(getSelectedMessageInfo()));
            UIController.showModalPopup(popup, this);
        } else if (command == sendAllCommand) {
            UIController.showInboxScreen();
            UIController.sync(false);
        }
    }
    
    protected void initCommands() {
        deleteCommand =
                new Command(Localization.getMessages().DELETE_COMMAND_LABEL,
                UIController.COMMAND_TYPE,10);
        editCommand =
                new Command(Localization.getMessages().EDIT_COMMAND_LABEL,UIController.COMMAND_TYPE,1);
        sendAllCommand =
                new Command(Localization.getMessages().OML_SEND_ALL_COMMAND,UIController.COMMAND_TYPE,2);
        
        
        
    }
    
    
}
