/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Created on 11 gennaio 2007, 15.25
 *
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mailclient.mm.MessageInfo;
import com.funambol.mailclient.mm.MessageManager;
import com.funambol.mailclient.ui.controller.DeleteAllPopupAction;
import com.funambol.mailclient.ui.controller.UIController;
import com.funambol.mailclient.loc.Localization;
import com.funambol.util.Log;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Item;
import javax.microedition.lcdui.TextField;


public class FunCanvasSentMessageList extends FunCanvasMessageList {
    
    private Command openCommand;
    private Command deleteAllCommand;
    
    

    
    /** Creates a new instance of FunInboxMessageList */
    
    
    public FunCanvasSentMessageList(MessageInfo[] msgInfo) {
        super(msgInfo);
    }
    
    
    public String getDefaultTitle() {
         return Localization.getMessages().SENT_MESSAGES_LIST_TITLE;
    }
    
    protected void addCommands() {
        addCommand(UIController.backCommand);
        addCommand(UIController.inboxCommand);
    }
    
    /**
     * called by implementation when a list of elements with lenght >0 is set
     */
    protected void addItemCommands() {
        addCommand(openCommand);
        addCommand(deleteAllCommand);
        
        setFireCommand(openCommand);
    }
    
    /**
     * called by implementation when a list of elements with lenght = 0 is set
     */
    protected void removeItemCommands() {
        removeCommand(openCommand);
        removeCommand(deleteAllCommand);
        
        setFireCommand(null);
    }
    
    
    
    public void commandAction(Command command, Displayable displayable) {
        if (command == UIController.inboxCommand) {
            UIController.showInboxScreen();
        } else if (command==UIController.backCommand) {
            UIController.showBackScreen();
        }
        
        // ---- item commands --- //
        if (command==deleteAllCommand) {
            FunModalPopup popup =
                    new FunModalPopup(Localization.getMessages().POPUP_DELETE_ALL_TITLE,
                    Localization.getMessages().POPUP_DELETE_ALL_TEXT,
                    new DeleteAllPopupAction(MessageManager.SENT));
            UIController.showModalPopup(popup, this);
        } else  if (command==openCommand) {
            setTitle("Opening Message...");
            this.repaint();
            this.serviceRepaints();
            UIController.showViewMessageScreen(this, getSelectedMessageInfo());
            resetTitle();
        }
    }
    
    protected void initCommands() {
        deleteAllCommand =
                new Command(Localization.getMessages().DML_DELETE_ALL_COMMAND,UIController.COMMAND_TYPE,4);
        openCommand =
                new Command(Localization.getMessages().IML_OPEN_COMMAND,UIController.COMMAND_TYPE,1);
        
        
        
    }
}
