/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mailclient.ui.controller.Theme;
import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;
import com.funambol.util.Log;


public class FunSplashScreen extends Canvas{
    
    
    private int BACKGROUND_COLOR = 0xffffff; //white!
    private String [] message = { "Loading..." };
    private Font font = Font.getDefaultFont();
    
    private int FOREGROUND_COLOR = 0x000000;
    private int iconNumber;
    
    /** Creates a new instance of FunSplashScreen */
    public FunSplashScreen() {
        this.setFullScreenMode(true);
    }
    
    public void setInitPhase(String message, int iconNumber) {
        this.message[0] = message;
        this.iconNumber = iconNumber;
        Log.info("setting message in splash screen: " + message);
        
        repaint();
        this.serviceRepaints();
    }
    
    protected void paint(Graphics graphics) {
        graphics.setColor(BACKGROUND_COLOR);
        graphics.fillRect(0, 0, getWidth(), getHeight());
        
        graphics.drawImage(Theme.getLogoImage(),
                getWidth()/2,
                (getHeight() - message.length * font.getHeight())/2,
                Graphics.HCENTER | Graphics.VCENTER );
        
        graphics.setColor(FOREGROUND_COLOR);
        
        for (int i=0; i< message.length; i++) {
            graphics.drawString(
                    message[i],
                    getWidth()/2 ,
                    (getHeight() + Theme.getLogoImage().getHeight()- message.length * font.getHeight())/2  + i*font.getHeight(),
                    Graphics.HCENTER | Graphics.TOP
                    );
        }
        if (iconNumber == 1) {
            graphics.drawImage(Theme.getCLOSED_PART_IMG(),
                    getWidth()/2 - 40,
                    (getHeight() - 20),
                    Graphics.HCENTER | Graphics.VCENTER );
        } else if (iconNumber == 2) {
            graphics.drawImage(Theme.getCLOSED_PART_IMG(),
                    getWidth()/2 - 40,
                    (getHeight() - 20),
                    Graphics.HCENTER | Graphics.VCENTER );
            graphics.drawImage(Theme.getCONTACT_IMG(),
                    getWidth()/2 + 40,
                    (getHeight() - 20),
                    Graphics.HCENTER | Graphics.VCENTER );
        }
        /*
        for (int i=0; i< message.length; i++) {
            graphics.drawString(
                    message[i],
                    0 ,
                    0  + i*font.getHeight(),
                    Graphics.TOP | Graphics.HCENTER
                    );
        }*/
        
    }
    
    
}
