/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 */

package com.funambol.mailclient.ui.view;

import javax.microedition.lcdui.Font;

/**
 *a color theme
 *
 */

/*
 * TODO: this should really be turned into an (abstract?) class, as some methods
 * should have default values
 */
public interface GraphicalTheme {
    /**
     * @return backgroung color
     */
    int getBackgroundColor();
    
    /**
     * @return border color
     */
    int getBorderColor();
    
    /**
     * @return title color
     */
    int getTitleColor();
    
    /**
     * @return the title background color
     */
    int getTitleBackgroundColor() ;
    
    /**
     * @return the title border color
     */
    int getTitleBorderColor() ;
    
    /**
     *@return title font
     */
    Font getTitleFont();
    
    
    /**
     *@return default font
     */
    Font getDefaultFont();
    
    /**
     *@return small  font
     */
    Font getSmallFont();
    
    /**
     *@return small bold font
     */
    Font getSmallBoldFont();
    
    
    /**
     *@return bold font
     */
    Font getBoldFont();
    
    /**
     * @return the foreground color
     */
    int getForegroundColor();
    
    /**
     * @return the highlighted bg color
     */
    int getHighlightedBackgroundColor();
    
    /**
     * @return the highlighted bordere color
     */
    int getHighlightedBorderColor();
    
    /**
     * @return the highlighted foreground color
     */
    int getHighlightedForegroundColor();
    
    /**
     * set the background color
     */
    void setBackgroundColor(int backgroundColor);
    /**
     * set the  color
     */
    void setBorderColor(int borderColor);
    
    /**
     * set the foreground color
     */
    void setForegroundColor(int foregroundColor);
    
    /**
     * set the highlighted background color
     */
    void setHighlightedBackgroundColor(int highlightedBackgroundColor);
    
    /**
     * set the  highlighted border color
     */
    void setHighlightedBorderColor(int higlightedBorderColor);
    
    /**
     * set the highlighted foreground color
     */
    void setHighlightedForegroundColor(int higlightedForegroundColor);
    
    
}
