/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mailclient.ui.controller.UIController;
import com.funambol.mailclient.ui.utils.Parser;
import com.funambol.mailclient.loc.Localization;
import com.funambol.util.Log;
import java.util.Enumeration;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Item;
import javax.microedition.lcdui.ItemCommandListener;
import javax.microedition.lcdui.List;

public class PhoneNumberList extends List implements CommandListener {
    
    private Command callNumberCommand;
    
    /**
     * Creates a new instance of PhoneNumberList
     */
    public PhoneNumberList(String body) {
        super(Localization.getMessages().PHONENUMBER_LIST_TITLE, List.IMPLICIT);
        Enumeration elements = Parser.extractNumbers(body).elements();
        
        if (!elements.hasMoreElements()) {
            append(Localization.getMessages().PNL_NO_NUMBERS_FOUND_MESSAGE, null);
        } else {
            while (elements.hasMoreElements()) {
                append((String)elements.nextElement(), null);
            }
            callNumberCommand = 
                    new Command(Localization.getMessages().PNL_CALL_NUMBER_COMMAND, UIController.COMMAND_TYPE,0);
            this.addCommand(callNumberCommand);
            this.setSelectCommand(callNumberCommand);
        }
        this.addCommand(UIController.backCommand);
        this.setCommandListener(this);
    }
    
    public void commandAction(Command command, Displayable displayable) {
        if (command==callNumberCommand) {
            UIController.openUrl(getString( getSelectedIndex()));
        } else if (command==UIController.backCommand) {
            UIController.showBackScreen();
        }
    }
}
