/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mailclient.ui.view;


/**
 * The interface provides a simple OK/KO mechanism for the FunModalPopup
 * Objects implementing this interface must implement the operations
 * related to the confirm and cancel commands provided to the user
 * within the FunModalPopup
 */
public interface PopupAction {
    /**
     * Implement this method with the business logic
     * to be executed when the cancel command (Cancel) is fired by 
     * the user within the FunModalPopup
     */
    void cancel();

    /**
     * Implement this method with the business logic
     * to be executed when the confirm command (OK) is fired by the user
     * within the FunModalPopup
     */
    void confirm();
        
}
