/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * SearchAddressForm.java
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mailclient.ui.controller.UIController;
import com.funambol.mailclient.loc.Localization;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.TextBox;
import javax.microedition.lcdui.TextField;

public class SearchAddressForm extends Form implements CommandListener{
    
    private FunCanvasContactList contactList;
    private Command okCommand;
    private TextField searchBox;
    
    /** Creates a new instance of SearchAddressForm */
    public SearchAddressForm(FunCanvasContactList contactList) {
        super(Localization.getMessages().AL_SEARCH_COMMAND);
        this.contactList = contactList;
        searchBox = new TextField(null, "", 10, TextField.ANY);
        this.append(searchBox);
        okCommand=new Command(Localization.getMessages().GENERIC_OK,UIController.COMMAND_TYPE,0);
        addCommand(okCommand);
        addCommand(UIController.cancelCommand);
        this.setCommandListener(this);
    }
    
    public void commandAction(Command command, Displayable displayable) {
        if (command == okCommand) {
            String [] s = new String[1];
            s[0] = searchBox.getString();
            contactList.setSearchString(s);
            UIController.display.setCurrent(contactList);
        } else if (command == UIController.cancelCommand) {
            UIController.display.setCurrent(contactList);
        }
        
        
    }
    
}
