/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mail.MailException;
import com.funambol.mailclient.ui.controller.Theme;
import com.funambol.mailclient.ui.controller.UIController;
import com.funambol.mailclient.loc.Localization;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Image;
import javax.microedition.lcdui.List;
import javax.microedition.rms.RecordStoreException;

/**
 * This list shows all the settings available to the user
 * for this application
 */
public class SettingsList extends List implements CommandListener {
    
    public Command backCommand;
    
    /** Creates a new instance of SettingsList */
    public SettingsList() {
        super(Localization.getMessages().SETTINGS_LIST_TITLE, IMPLICIT, new String[] {
            Localization.getMessages().SL_CHOICE_CONNECTION,
            Localization.getMessages().SL_CHOICE_AUTO_SYNC,
            Localization.getMessages().SL_CHOICE_LOG
        }, new Image[] {
            Theme.getCONNECTION_IMG(), Theme.getSYNC_IMG(), Theme.getLOG_IMG()});
        backCommand = UIController.backCommand;
        addCommand(backCommand);
        setSelectCommand(UIController.selectCommand);
        addCommand(UIController.selectCommand);
        setCommandListener(this);
    }
    
    public void commandAction(Command command, Displayable displayable) {
        if (command == UIController.selectCommand) {
            switch (getSelectedIndex()) {
                case 0:
                    UIController.showAccountSettings(this);
                    break;
                case 1:
                    UIController.showMailSyncSettings(this);
                    break;
                case 2:
                    UIController.showLogSettings(this);
                    break;
            }
        } else if (command == backCommand) {
            UIController.showBackScreen();
        } 
    }
}

