/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mailclient.cm;

import com.funambol.mailclient.cm.rms.RMSContactManager;
import javax.microedition.rms.RecordStoreException;

public class ContactManagerFactory {
    private static ContactManager instance;
    //---------------------------------------------------------------- Constants
    
    //------------------------------------------------------------- Private Data
    
    //--------------------------------------------------------------- Properties
    
    //------------------------------------------------------------- Constructors
    
    /**
     * Creates a new instance of ContactManagerFactory
     */
    private ContactManagerFactory() {
    }
    
    //----------------------------------------------------------- Public Methods
    public static ContactManager getContactManager(int type) 
                                                    throws RecordStoreException{
        if (instance==null) {
            switch (type) {
                case ContactManager.RMS_TYPE:  
                    instance = new RMSContactManager
                                              (RMSContactManager.CONTACT_STORE);
                    break;
                case ContactManager.JSR75_TYPE:
                    return null;
                default:
                    return null;
            }
        }
        return instance;
    }
    //-----------------------------------------------------------Private Methods
    
    
}
