/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mailclient.cm.rms;

import com.funambol.mailclient.cm.Contact;
import com.funambol.storage.ObjectEnumeration;
import com.funambol.storage.Serialized;
import java.util.Enumeration;

/**
 * Useful class to enumerate sorted and filtered contact records
 */

public class ContactEnumeration extends ObjectEnumeration {
    Enumeration ce = null;
    int size=0;
    public ContactEnumeration(ObjectEnumeration e) {
        this.ce=e;
        this.size=e.getSize();
    }
    
    public boolean hasMoreElements() {
        return ce.hasMoreElements();
    }
    
    public Object nextElement() {
        Serialized so = (Serialized) ce.nextElement();
        Contact c = (SerializableContact) so.getObject();
        c.setContactId(so.getObjectId());
        return c;
    }
    
    public int getSize() {
        return this.size;
    }
}


