/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mailclient.loc;

/**
 * This class contains the default messages for the Mail Client.
 * The default messages are in English, and can be translated overridding
 * this class changing all the strings accordingly.
 */
public class LocalizedMessages {
    
    
    
    // used in UIThreadPoolMonitor
    public final String APPLICATION_IS_IN_OFFLINE_MODE = "The application is working in offline mode";
    public final String APPLICATION_SYNC_VIA_SMS_OFFLINE_MODE = "You have received a new message, but you are " +
                                                                "currently in offline mode. " +
                                                                "Please restart the application to download it.";
    
    // used in FunCanvasContactList --
    public final String SELECT_COMMAND = "Select";
    
    // used in UIController --
    public final String BACK_COMMAND = "Back";
    
    // used in UIController --
    public final String CANCEL_COMMAND = "Cancel";
    
    // used in UIController --
    public final String INBOX_COMMAND = "Inbox";
    
    // used in FunCanvasRecipientList, ComposeMessageForm --
    public final String SAVE_COMMAND = "Save";
    
    //used in inbox
    public final String INBOX_DEFAULT_TITLE = "Inbox";

    // used in AdvancedContactForm, SearchAddressForm --
    public final String GENERIC_OK = "Ok";
    
    // used in FunCanvasContactList, FunCanvasRecipientList --
    public final String AL_OK_COMMAND = "OK";
    
    // used in UIController --
    public final String UNABLE_TO_DELETE_CONTACT = "Unable to delete contact";
    
    // used in UIController --
    public final String DELETING_CONTACT = "Deleting contact";
    
    // used in AddContactForm, FunCanvasRecipientList --
    public final String CONTACT_ALREADY_EXISTS = "Contact already exists";
    
    // used in AddContactForm --
    public final String CONTACT_ALREADY_EXISTS_EDITING_IT =
            "Contact already exists, editing it";
    
    // used in MessageHandler --
    public final String OTA_CONFIG_ALERT =
            "New SMS with Configuration Received. Saving...";
    
    // used in Funambol, LifeCycleController, OTAMessagesManager --
    public final String ALERT_SECURITY_EXCEPTION_MESSAGE =
            "Access to messages function is refused. The application will not be able to receive updates.";
    
    // used in UIThreadPoolMonitor --
    public final String AUTHENTICATION_ERROR_MSG =
            "Authentication failed. Please check your credentials.";
    
    // used in UIThreadPoolMonitor --
    public final String OUTOFMEMORY_ERROR =
            "Memory full, recovering...";
    
    // used in UIThreadPoolMonitor --
    public final String SYNC_ERROR_MSG = "Error during send/receive";
   
    // used in UIThreadPoolMonitor --
    public final String BUSY_ERROR_MSG = "The server is busy. It is possible that another sync is in progress for this account on another device. Please try later." ;

    // used in UIThreadPoolMonitor --
    public final String EMAIL_ERROR_MSG =
        "Error accessing your mail account. Please check your server settings." ;

    // Used in UIController
    public final String SAVE_OUTBOX_ERROR = "Error saving message in Outbox";

    // used in LifeCycleController, UIThreadPoolMonitor --
    public final String GENERIC_ERROR_MESSAGE = "An unexpected error occurred.";
    
    // used in UIThreadPoolMonitor --
    public final String STORAGE_ERROR_MSG = "Error accessing local storage.";
    
    // used in UIThreadPoolMonitor --
    public final String NETWORK_ERROR_MSG = "Error contacting remote server.";
    
    // used in UIThreadPoolMonitor --
    public final String AB_LIMIT_ERROR_MSG =
        "Addressbook is full. Please reduce the number of contacts on the " +
        "server and get them back using the Reset option.";

    // used in Funambol --
    public final String CONFIG_NOT_SET =
        "Configuration not set. Please set account parameters and try again.";
    
    // used in UIThreadPoolMonitor --
    public final String SYNC_IN_PROGRESS_MSG =
        "Background operation in progress. Please try later.";
    
    // used in AdvancedContactForm --
    public final String ACF_CONTACT_FIRSTNAME_LABEL = "First Name";
    
    // used in AdvancedContactForm --
    public final String ACF_CONTACT_LASTNAME_LABEL = "Last Name";
    
    // used in AddContactForm --
    public final String ACF_CONTACT_EMAIL_1_LABEL = "Default email address:";
    
    // used in AdvancedContactForm --
    public final String ACF_CONTACT_EMAIL_2_LABEL = "Second Email";
    
    // used in AdvancedContactForm --
    public final String ACF_CONTACT_EMAIL_3_LABEL = "Third Email";
    
    // used in AdvancedContactForm --
    public final String ACF_CONTACT_HOME_LABEL = "Home";
    
    // used in AdvancedContactForm --
    public final String ACF_CONTACT_JOB_LABEL = "Job";
    
    // used in AdvancedContactForm --
    public final String ACF_CONTACT_MOBILE_LABEL = "Mobile";
    
    // used in AddContactForm, AdvancedContactForm --
    public final String ACF_ADVANCED_COMMAND_LABEL = "Advanced";
    
    // used in AddContactForm --
    public final String ACF_EDIT_CONTACT_FORM_TITLE = "Edit Contact";
    
    // used in AddContactForm --
    public final String ACF_VISIBLE_NAME_LABEL = "Display Name:";
    
    // used in AddContactForm --
    public final String ACF_NEW_CONTACT_FORM_TITLE = "New Contact";
    
    // used in UIController --
    public final String ACF_ALERT_CONTACT_SAVED_MESSAGE = "Contact saved";
    
    // used in AddContactForm --
    public final String ACF_ALERT_ERROR_SAVING_CONTACT_MESSAGE =
        "Error saving contact";
    
    // used in AddContactForm, AdvancedContactForm --
    public final String INVALID_EMAIL_ADDRESS = "Invalid Email address";
    
    // used in FunCanvasContactList, FunCanvasViewMessage, FunCanvasDraftMessageList, FunCanvasOutboxMessageList --
    public final String EDIT_COMMAND_LABEL = "Edit";
    
    public final String FROM_IS_NULL = "From is not present.";
    
    // used in FunCanvasContactList, FunCanvasOutboxMessageList, FunCanvasViewMessage --
    public final String DELETE_COMMAND_LABEL = "Delete";
    
    // used in FunCanvasContactList --
    public final String ABF_SAVE_CONTACT_COMMAND = "Save Contact";
    
    // used in FunCanvasContactList --
    public final String FAL_SYNC_IN_PROGRESS = "Updating Contacts...";
    
    // used in UIThreadPoolMonitor, FunCanvasContactList,ComposeMessageForm, RecipientsStringItem --
    public final String SELECT_RECIPIENTS = "Select Recipients";
    
    // used in FunCanvasContactList --
    public final String AL_ADD_CONTACT_COMMAND = "Add Contact";
    
    // used in FunCanvasContactList, SearchAddressForm --
    public final String AL_SEARCH_COMMAND = "Search";
    
    // used in GetMailSettingsForm --
    public final String AUTO_SYNC_SETTINGS_FORM_TITLE = "Get Mail Options";
    
    // used in GetMailSettingsForm --
    public final String ASSF_SYNC_SETTINGS_CHOICE_LABEL = "Check for new mail:";
    
    // used in GetMailSettingsForm NOT USED
    //public final String ASSF_SYNC_SETTINGS_CHOICE_0 = "Manually Only";
    
    // used in GetMailSettingsForm NOT USED
    //public final String ASSF_SYNC_SETTINGS_CHOICE_1 = "Scheduled";
    
    // used in GetMailSettingsForm --
    public final String ASSF_SCHEDULED_TIME_FIELD_LABEL = "At:";
    
    // used in GetMailSettingsForm NOT USED
    //public final String ASSF_SET_TIME_BEFORE_MESSAGE = "Please specify the time of the day";
    
    // used in GetMailSettingsForm --
    public final String ASSF_SETTINGS_SAVED_MESSAGE = "Get Mail Options Saved.";
    
    
    // used in AccountSettingsForm --
    public final String CONNECTION_SETTINGS_FORM_TITLE = "Account Options";
    
    // used in AccountSettingsForm --
    public final String CSF_SERVER_URL_TF_LABEL = "Server Location:";
    
    // used in AccountSettingsForm --
    public final String CSF_USERNAME_TF_LABEL = "Username:";
    
    // used in AccountSettingsForm --
    public final String CSF_EMAIL_REMOTE_NAME_TF_LABEL = "Email Remote Name:";
    
    // used in AccountSettingsForm --
    public final String CSF_CONTACTS_REMOTE_NAME_TF_LABEL = "Contact Remote Name:";
    
    // used in AccountSettingsForm --
    public final String CSF_PASSWORD_TF_LABEL = "Password:";
    
    // used in AccountSettingsForm --
    public final String CSF_EMAIL_ADDRESS_TF_LABEL = "E-mail Address:";
    
    // used in AccountSettingsForm --
    public final String CSF_VISIBLE_NAME_TF_LABEL = "Display Name:";
    
    // used in AccountSettingsForm --
    public final String CSF_SETTINGS_SAVED_MESSAGE = "Account settings saved.";
    
    // used in AccountSettingsForm --
    public final String CSF_EMPTY_CREDENTIALS_ERROR = "Invalid Account. Please check credentials.";
    
    // used in AccountSettingsForm --
    public final String SAVING_ACCOUNT_POPUP_TITLE = "Saving Account";
    
    // used in AccountSettingsForm --
    public final String SAVING_ACCOUNT_POPUP_MSG = "Account changed. Messages and contacts will be deleted and downloaded from the new account. Are you sure?";
    
    // used in SavingAccountAction
    public final String RESETTING_ACCOUNT_MSG = "Resetting account, please wait...";

    // used in FunCanvasDraftMessageList --
    public final String DRAFT_MESSAGE_LIST_TITLE = "Drafts";
    
    // used in FunCanvasDraftMessageList, FunCanvasSentMessageList --
    public final String DML_DELETE_ALL_COMMAND = "Delete All";
    
    
    // used in FolderList --
    public final String FOLDER_LIST_TITLE = "Folders";
    
    // used in FolderList -- , LinkList --
    public final String OPEN_COMMAND = "Open";
    
    // used in ComposeMessageForm --
    public final String COMPOSE_MESSAGE_FORM_TITLE = "Compose Message";
    
    // used in ComposeMessageForm --
    public final String CMF_BODY_TF_LABEL = "Body";
    
    // used in ComposeMessageForm --
    public final String CMF_SUBJECT_TF_LABEL = "Subject";
    
    // used in ComposeMessageForm, FunCanvasViewMessage --
    public final String SEND_COMMAND_LABEL = "Send";
    
    // used in ComposeMessageForm --
    public final String CMF_SEND_LATER_COMMAND = "Send Later";
    
    // used in ComposeMessageForm, RecipientsStringItem --
    public final String ADD_RECIPIENTS_COMMAND = "Recipients";
    
    // used in ComposeMessageForm --
    public final String CMF_CANCEL_COMMAND = "Discard compose. Do you confirm?";
    
    // used in UIController --
    public final String COMPOSE_MESSAGE_FORM_SAVED_TO_OUTBOX = "Message saved to Outbox, it will be sent at the next connection";
    
    // used in UIController --
    public final String COMPOSE_MESSAGE_FORM_SAVED_TO_DRAFT = "Message saved to Drafts";
    
    // used in UIController --
    public final String UNABLE_TO_SAVE_MESSAGE_TO_DRAFT =
            "Error: Unable to save message to Drafts";
    
    // used in ComposeMessageForm --
    public final String COMPOSE_MESSAGE_FORM_ERROR_MESSAGE = "Please select recipients before";
    
    // used in LinkList --
    public final String LINK_LIST_TITLE = "Link List";
    
    // used in LinkList --
    public final String LL_NO_LINKS_MESSAGE = "No links found";
    
    // used in LogSettingsForm --
    public final String LOG_SETTINGS_FORM_TITLE = "Logging Options";
    
    // used in LogSettingsForm --
    public final String LSF_VIEW_LOG_COMMAND = "View Log";
    
    // used in LogSettingsForm --
    public final String LSF_LOG_LEVEL_CHOICE_0 = "Error";
    
    // used in LogSettingsForm --
    public final String LSF_LOG_LEVEL_CHOICE_1 = "Info";
    
    // used in LogSettingsForm --
    public final String LSF_LOG_LEVEL_CHOICE_2 = "Debug";
    
    // used in LogSettingsForm --
    public final String LSF_LOG_LEVEL_DISABLED = "None";
    
    // used in LogSettingsForm --
    public final String LSF_LOG_LEVEL_CHOICE_LABEL = "Level:";
    
    // used in LogSettingsForm --
    private final String LSF_LOG_LEVEL_SET_TO = "Log level set to ";
    
    // used in LogSettingsForm --
    public final String LSF_LOG_ENABLING_CHOICE_LABEL = "Logging Enable:";
    
    // used in LogSettingsForm --
    public final String LSF_LOG_DISABLED = "Off";
    
    // used in LogViewerForm --
    public final String LOG_VIEWER_FORM_TITLE = "Log View";
    
    // used in FunCanvasOutboxMessageList --
    public final String OUTBOX_MESSAGE_LIST_TITLE = "Outbox";
    
    // used in FunCanvasOutboxMessageList --
    public final String OML_SEND_ALL_COMMAND = "Send All";
    
    // used in PhoneNumberList --
    public final String PHONENUMBER_LIST_TITLE = "Phone Numbers";
    
    // used in PhoneNumberList --
    public final String PNL_NO_NUMBERS_FOUND_MESSAGE = "No phone numbers found";
    
    // used in PhoneNumberList --
    public final String PNL_CALL_NUMBER_COMMAND = "Call";
    
    // used in FunCanvasViewMessage, RecipientsStringItem --
    public final String BCC_LABEL = "Bcc: ";
    
    // used in FunCanvasViewMessage, RecipientsStringItem --
    public final String CC_LABEL = "Cc: ";
    
    // used in FunCanvasViewMessage, RecipientsStringItem --
    public final String TO_LABEL = "To: ";
    
    // used in UIController --
    public final String FROM_LABEL = "From:";
    
    // used in UIController --
    public final String RE_LABEL = "Re:";
    
    // used in UIController --
    public final String FW_LABEL = "Fw:";
    
    // used in FunCanvasSentMessageList --
    public final String SENT_MESSAGES_LIST_TITLE = "Sent";
    
    // used in SettingsList --
    public final String SL_CHOICE_LOG = "Logging";
    
    // used in SettingsList --
    public final String SETTINGS_LIST_TITLE = "Options";
    
    // used in SettingsList --
    public final String SL_CHOICE_AUTO_SYNC = "Get Mail";
    
    // used in SettingsList --
    public final String SL_CHOICE_CONNECTION = "Account";
    
    
    // used in GetMailSettingsForm --
    public final String MFSF_DELETE_PROPAGATION = "Delete messages on:";
    
    // used in GetMailSettingsForm --
    public final String MFSF_DELETE_ON_DEVICE = "Device only";
    
    // used in GetMailSettingsForm --
    public final String MFSF_DELETE_ON_SERVER = "Device & Server";
    
    // used in FunCanvasSentMessageList --
    public final String IML_OPEN_COMMAND = "View";
    
    // used in FunCanvasViewMessage --
    public final String MVF_RECIPIENTS_COMMAND = "View Recipients";
    
    // used in FunCanvasViewMessage --
    public final String MVF_SAVE_SENDER_COMMAND = "Save Sender";
    
    // used in FunCanvasViewMessage --
    public final String MVF_REPLY_ALL_COMMAND = "Reply All";
    
    // used in FunCanvasViewMessage --
    public final String MVF_REPLY_COMMAND = "Reply";
    
    // used in FunCanvasViewMessage --
    public final String MVF_NUMBERS_COMMAND = "Extract Numbers";
    
    // used in FunCanvasViewMessage --
    public final String MVF_LINKS_COMMAND = "Browse Links";
    
    // used in FunCanvasViewMessage --
    public final String MVF_FORWARD_COMMAND = "Forward";
    
    // used in FunCanvasViewMessage --
    public final String MVF_FULL_MSG_CMD = "Get Full";
    
    // used in FunCanvasViewMessage --
    public final String MESSAGE_VIEW_FORM_TITLE = "View Message";
    
    // used in FunCanvasViewMessage --
    public final String MESSAGE_VIEW_UNABLE_TO_CREATE_CONTACT = "Unable to create Contact";
    
    // used in FunCanvasViewMessage --
    public final String MESSAGE_VIEW_NEXT_MESSAGE = "Next Message...";
    
    // used in FunCanvasViewMessage --
    public final String MESSAGE_VIEW_PREVIOUS_MESSAGE = "Previous Message...";
    
    // used in FunCanvasViewMessage --
    public final String MVF_FULL_MESSAGE_LOADING = "Loading...";
    
    // used in FunCanvasViewMessage --
    public final String MVHI_FROM_LABEL = "From: ";
    
    // used in FunCanvasViewMessage --
    public final String MVHI_ON_LABEL = "Sent On: ";
    
    
    // used in UIController --
    public final String MVHI_RE_LABEL = "Re: ";
    
    // used in UIController --
    public final String MVHI_FW_LABEL = "Fw: ";
    
    // used in FunCanvasViewMessage --
    public final String MVHI_SUBJ_LABEL = "Subj: ";
    
    // used in UIController --
    public final String UNABLE_TO_FIND_PERSONAL_ADDRESS = "Unable to find personal address, please check your config";
    
    // used in TaskManager --
    public final String ACCOUNT_LISTENER_ERROR_CONNECTIONG  = "Error connecting to the remote host";
    
    // used in TaskManager --
    public final String ACCOUNT_LISTENER_ERROR_RECEIVING = "Error receiving one or more messages";
    
    // used in TaskManager --
    public final String ACCOUNT_LISTENER_ERROR_SENDING = "Error sending one or more messages";
    
    // used in TaskManager --
    public final String ACCOUNT_LISTENER_ERROR_FROM_SERVER = "Error from server";
    
    // used in TaskManager --
    public final String ACCOUNT_LISTENER_ERROR_DEFAULT = "Usnpecified errors occurred";
    
    // used in UIController --
    public final String GENERIC_UNABLE_TO_OPEN_MESSAGE = "Unable to open message";
    
    // used in UIController,LogSettingsForm --
    public final String STRING_ON = "On";
    
    // used in UIController --
    public final String REPLY_WROTE = "wrote:";
    
    // used in UIController --
    private final String GENERIC_UNABLE_TO_DELETE_MESSAGE = "Unable to delete message ";
    
    
    // used in AboutForm --
    public final String ABOUT_FORM_TITLE = "About";
    
    // used in AboutForm --
    public final String ABOUT_MESSAGE_1 = "Funambol Email Client";
    
    // used in AboutForm --
    private final String ABOUT_MESSAGE_2 = "v. ";
    
    // used in AboutForm --
    public final String ABOUT_MESSAGE_3 = "Copyright (C) 2007";
    
    // used in AboutForm --
    public final String ABOUT_MESSAGE_4 = "Funambol, Inc.";
    
    // used in AboutForm --
    public final String ABOUT_MESSAGE_5 = "All rights reserved";
    
    // used in AboutForm --
    public final String ABOUT_MESSAGE_6 = "http://www.funambol.com";
    
    // used in SendTaskManager --
    public final String SEND_COMPLETED = "Send Completed ";
    
    // used in SyncTaskManager --
    private final String MESSAGE_RECEIVING = "Receiving ";
    
    // used in SyncTaskManager --
    public final String LOADING = "Checking emails...";
    
    // used in SendTaskManager --
    public final String SENDING_DOTTED = "Sending...";
    
    // used in SendTaskManager -- , SyncTaskManager --
    public final String CONNECTING = "Connecting...";
    
    // used in SyncTaskManager --
    public final String SYNC_CONTACTS = "Updating Contacts...";
    
    // used in SyncTaskManager, UIThreadPoolMonitor --
    public final String CONFIGURATION_ERROR = "Configuration error";
    
    // used in SendTaskManager --
    public final String ERROR_DURING_SEND_RECEIVE = "Error occurred";
    
    // used in FunCanvasDraftMessageList, FunCanvasSentMessageList --
    public final String POPUP_DELETE_ALL_TITLE = "Delete all messages";
    
    // used in FunCanvasDraftMessageList, FunCanvasSentMessageList --
    public final String POPUP_DELETE_ALL_TEXT = "All messages in this folder will be deleted. Are you sure?";
    
    // used in FunCanvasInboxMessageList, FunCanvasOutboxMessageList --
    public final String POPUP_DELETE_MESSAGE_TITLE = "Delete message";
    
    // used in FunCanvasInboxMessageList, FunCanvasOutboxMessageList --
    public final String POPUP_DELETE_MESSAGE_TEXT = "The selected message will be deleted. Are you sure?";
    
    // used in FunCanvasInboxMessageList --
    public final String POPUP_EXIT_TITLE = "Exit";
    
    // used in FunCanvasInboxMessageList --
    public final String POPUP_EXIT_TEXT = "Do you really want to exit?";
    
    //used in FunCanvasContactList --
    public final String LOADING_CONTACTS = "Loading Contacts...";
    
    //used in sendTaskManager
    public final String SENDING = "Sending";
    
    // used in GetMailSettingsForm --
    public final String ASSF_SYNC_SETTINGS_CHOICE_MAN = "Manually Only";
    public final String ASSF_SYNC_SETTINGS_CHOICE_5M = "Every 5 mins";
    public final String ASSF_SYNC_SETTINGS_CHOICE_10M = "Every 10 mins";
    public final String ASSF_SYNC_SETTINGS_CHOICE_15M = "Every 15 mins";
    public final String ASSF_SYNC_SETTINGS_CHOICE_30M = "Every 30 mins";
    public final String ASSF_SYNC_SETTINGS_CHOICE_1H = "Every hour";
    public final String ASSF_SYNC_SETTINGS_CHOICE_2H = "Every 2 hours";
    public final String ASSF_SYNC_SETTINGS_CHOICE_4H = "Every 4 hours";
    public final String ASSF_SYNC_SETTINGS_CHOICE_1D = "Once a day";
    
    //used in FunCanvasContactList --
    public final String AL_SYNC_COMMAND = "Update Contacts";
    
    //used in FunCanvasViewMessage --, FunCanvasInboxMessageList --
    public final String FLAG_COMMAND_LABEL = "Flag";
    
    //used in FunCanvasViewMessage --, FunCanvasInboxMessageList --
    public final String UNFLAG_COMMAND_LABEL = "Clear Flag";
    
    //used in FunCanvasViewMessage --
    public final String READ_COMMAND_LABEL = "Mark read";
    
    //used in FunCanvasViewMessage --
    public final String UNREAD_COMMAND_LABEL = "Mark unread";
    
    private final String ONE_MESSAGE_RECEIVED = "New Message";
    
    private final String MESSAGES_RECEIVED = "New Messages";
    
    private final String NO_MESSAGES_RECEIVED = "No New Messages";
    
    //inbox command
    public final String RESETINBOX_COMMAND = "Reset Inbox";
    
    public final String RESETINBOX_MESSAGE = "Reset your Inbox from the server? This operation may take a few moments.";
    
    public final String SEND_LOG = "You are about to send your log file to Funambol.  Continue?";
    public final String SEND_LOG_POPUP_TITLE = "Send Log";

    public final String RESET_CONTACTS_COMMAD = "Reset Contacts";

    public final String SYNC_CONTACTS_COMPLETED = "Contacts Recovered";

    public String RESET_REQUEST = "Reset";

    public String RESETCONTACTS_MESSAGE = "Reset your Contact list from the server? This operation may take a few moments.";
    
    public String  getVERSION(String version){
        return ABOUT_MESSAGE_2 + version;
    }
    //sync task manager
    public String getX_MESSAGES_RECEIVED(int x) {
        if (x <= 0) {
            return NO_MESSAGES_RECEIVED;
        } else if (x==1) {
            return x + " " + ONE_MESSAGE_RECEIVED;
        } else {
            return x + " " + MESSAGES_RECEIVED;
        }
    }
    
    public String getGENERIC_UNABLE_TO_DELETE_MESSAGE(String toDelete){
        return GENERIC_UNABLE_TO_DELETE_MESSAGE +"'"+ toDelete +"'";
    }
    
    public String getLSF_LOG_LEVEL_SET_TO(String logLevel){
        return LSF_LOG_LEVEL_SET_TO + logLevel;
    }
    
    public String getMESSAGE_X_RECEIVED(int received){
        return MESSAGE_RECEIVING + received;
    }
    
    public String getMESSAGE_X_OF_Y_RECEIVED(int received , int toReceive){
        return MESSAGE_RECEIVING + received +"/"+toReceive;
    }

    public String getSENDINGX(int toSend) {
        return new StringBuffer(SENDING).append(" ").append(toSend).toString();
    }
    
}
