/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mailclient.mm;

import com.funambol.mail.Message;
import com.funambol.mail.MessageFlags;


/**
 * This class models the information to send to the upper application
 * level for each Synch Event
 */
public class SyncEventInfo {
    
    /**
     * event codes
     */
    public static final int START_SEND_MESSAGE_SESSION = 0;
    public static final int START_RECEIVE = 1;
    public static final int MESSAGE_RECEIVED = 2;
    public static final int MESSAGE_SENT = 3;
    public static final int END_SEND_MESSAGE_SESSION = 4;
    public static final int CONNECTION_COMPLETED = 5;
    public static final int END_OPERATION = 6;
    public static final int START_SEND = 7;
    public static final int START_OPERATION = 8;
    public static final int START_MESSAGE_SESSION = 9;
    public static final int END_MESSAGE_SESSION = 10;
    public static final int START_CONTACT_SESSION = 11;
    public static final int END_CONTACT_SESSION = 12;
    public static final int MESSAGE_DELETED = 13;
    public static final int MESSAGE_FLAGS_UPDATED = 14;
    public static final int RELOAD_INBOX = 15;
    /**
     * Code of actual sync event
     */
    public int infoCode;
    
    /**
     * Message string associated to the actual sync code
     */
    public String infoMessage = "";
    
    /**
     * Message id of the message to be deleted
     */
    public String msgId ;
    
    /**
     * messageflags for update of message flags
     */
    public MessageFlags flags;
    
    
    
    /**
     * Creates a new instance of SyncEventInfo
     */
    public SyncEventInfo() {
    }
    
    public void setInfoCode(int code) {
        infoCode = code;
    }
}
