/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mailclient.syncml;

import com.funambol.storage.Serializable;
import com.funambol.syncml.spds.SyncItem;
import com.funambol.util.StringUtil;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

public class PimItem implements Serializable {
    /** Default Constructor*/
    //---------------------------------------------------------------- Constants
    
    //------------------------------------------------------------- Private Data
    private int id; 
    private String key;
    private char state;
    //--------------------------------------------------------------- Properties
    
    //------------------------------------------------------------- Constructors
    /**
     * Default Constructor
     */
    public PimItem() {
    }
    
    /**
     * Creates a new instance of PimItem
     */
    public PimItem(String newKey, char newState) {
        this.key = newKey;
        this.state = newState;
    }
    
    
    public String getKey() {
        return this.key;
    }
    
    public char getState() {
        return this.state;
    }
    
    public void setState(char state) {
        this.state=state;
    }
    
    public void setKey(String key) {
        this.key=key;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }
    
    //----------------------------------------------------------- Public Methods
    public void serialize(DataOutputStream out) throws IOException {
        /** The key of this item.  */
        out.writeUTF(this.getKey());
        /** The state of this item ([N]ew, [U]pdated, [D]eleted) */
        out.writeChar(this.getState());
    }

    public void deserialize(DataInputStream in) throws IOException {
        this.setKey(in.readUTF());
        this.setState(in.readChar());
    }
}
